Bug#929311: gcc-9: please include fix for pr87338

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#929311: gcc-9: please include fix for pr87338

Jason Duerstock-3
Package: gcc-9
Version: 9-20190428-1
Severity: normal
User: [hidden email]
Usertags: ia64

Dear Maintainer,

Please include the fix for pr87338 that was previously included in
gcc-8.  This patch is required for gcc-9 to build under ia64.

Thank you.

-- System Information:
Debian Release: 10.0
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'unstable')
Architecture: ia64

Kernel: Linux 4.19.0-5-mckinley (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages gcc-9 depends on:
ii  binutils      2.31.1-16
ii  cpp-9         9-20190428-1
ii  gcc-9-base    9-20190428-1
ii  libc6.1       2.28-2
ii  libcc1-0      9-20190428-1
ii  libgcc-9-dev  9-20190428-1
ii  libgmp10      2:6.1.2+dfsg-4
ii  libisl19      0.20-2
ii  libmpc3       1.1.0-1
ii  libmpfr6      4.0.2-1
ii  libstdc++6    9-20190428-1
ii  libunwind8    1.2.1-9
ii  zlib1g        1:1.2.11.dfsg-1

Versions of packages gcc-9 recommends:
ii  libc6.1-dev  2.28-2

Versions of packages gcc-9 suggests:
pn  gcc-9-doc         <none>
pn  gcc-9-locales     <none>
pn  libasan5-dbg      <none>
pn  libatomic1-dbg    <none>
pn  libgcc1-dbg       <none>
pn  libgomp1-dbg      <none>
pn  libitm1-dbg       <none>
pn  liblsan0-dbg      <none>
pn  libquadmath0-dbg  <none>
pn  libtsan0-dbg      <none>
pn  libubsan1-dbg     <none>

-- no debconf information

Reply | Threaded
Open this post in threaded view
|

Bug#929311: gcc-9: please include fix for pr87338

James Clarke-2
Control: tags -1 pending
(sort of; changelog won't close this bug)

On 21 May 2019, at 14:24, Jason Duerstock <[hidden email]> wrote:

>
> Package: gcc-9
> Version: 9-20190428-1
> Severity: normal
> User: [hidden email]
> Usertags: ia64
>
> Dear Maintainer,
>
> Please include the fix for pr87338 that was previously included in
> gcc-8.  This patch is required for gcc-9 to build under ia64.
>
> Thank you.

Already done in git[1] less than an hour ago :)

James

[1] https://salsa.debian.org/toolchain-team/gcc/commit/8477738a263fd225e71b3d629c29c1bc38faca35

Reply | Threaded
Open this post in threaded view
|

Bug#929311: gcc-9: please include fix for pr87338

Matthias Klose
In reply to this post by Jason Duerstock-3
Version: 9.1.0-10

fixed, probably already in an earlier version.